<div style=" height:200px; width:200px; float: left; margin-right: 30px;">

```{image} https://gitlab.subcom.tech/bitia/bitia-cli/-/raw/5-enable-docs/docs/source/img/BiTIA_New_Age.jpg
:target: https://bitia.gitlab.subcom.tech/bitia-cli/
```

</div>

# BioInformatics Tool for Infrastructure Automation(BiTIA)

<p style="margin: auto;
  width: 50%;
  border: 3px;
  padding: 10px;">

```{image} https://img.shields.io/pypi/v/bitia.svg
:target: https://pypi.python.org/pypi/bitia
```

```{image} https://img.shields.io/pypi/pyversions/bitia.svg
:target: https://www.python.org
```
</p>

Welcome to BiTIA Documentation!

BiTIA is a tool that simplifies the infrastructure required to run complex bioinformatics pipelines. BiTIA plays well with the existing workflow management systems such as [snakemake](https://snakemake.readthedocs.io/en/stable/), [gnu-Make](https://www.gnu.org/software/make/), etc.

BiTIA has two components: **bitia-cli** and **bitia-runner**.
BiTIA CLI is on the client side and allows clients to submit tasks to the bitia server.
BiTIA runner is on the server side and operates the given tasks to produce results.

## **bitia-cli**
Most users only need the `bitia-cli` tool to submit tasks.
BiTIA CLI creates a zip file of the user input(pipeline) containing a unique hash and ships it to the server.

[see some examples]: examples

```{toctree}
:hidden: true

getting_started/Installation
getting_started/Working

```

***


If you want to learn how to use BiTIA and installation, check out the following resources:

### **GETTING STARTED**

- To Learn about Bio-Informatics pipelines of RNA-seq analysis, refer 
[Bioinformatics pipelines](https://docs.gdc.cancer.gov/Data/Bioinformatics_Pipelines/Expression_mRNA_Pipeline/)


- **REQUIREMENTS**
  - Python 3.8+
- [**INSTALLATION & CONFIGURATION**](getting_started/Installation.md)

- To Understand working with BiTIA, refer [Working with BiTIA CLI](getting_started/Working.md)  


<!-- 
```{eval-rst}
.. automodule:: bitia
``` -->


